
From: Taral <taral@taral.net>

Looks like the recent access_ok fixes broke building of i386.
__verify_write is still referenced in a couple places.



 arch/i386/kernel/i386_ksyms.c |    3 ---
 include/asm-i386/uaccess.h    |    2 --
 2 files changed, 5 deletions(-)

diff -puN arch/i386/kernel/i386_ksyms.c~remove-verify_write-leftovers arch/i386/kernel/i386_ksyms.c
--- 25/arch/i386/kernel/i386_ksyms.c~remove-verify_write-leftovers	2003-05-12 21:22:56.000000000 -0700
+++ 25-akpm/arch/i386/kernel/i386_ksyms.c	2003-05-12 21:22:56.000000000 -0700
@@ -73,9 +73,6 @@ EXPORT_SYMBOL(physnode_map);
 #ifdef CONFIG_X86_NUMAQ
 EXPORT_SYMBOL(xquad_portio);
 #endif
-#ifndef CONFIG_X86_WP_WORKS_OK
-EXPORT_SYMBOL(__verify_write);
-#endif
 EXPORT_SYMBOL(dump_thread);
 EXPORT_SYMBOL(dump_fpu);
 EXPORT_SYMBOL(dump_extended_fpu);
diff -puN include/asm-i386/uaccess.h~remove-verify_write-leftovers include/asm-i386/uaccess.h
--- 25/include/asm-i386/uaccess.h~remove-verify_write-leftovers	2003-05-12 21:22:56.000000000 -0700
+++ 25-akpm/include/asm-i386/uaccess.h	2003-05-12 21:22:56.000000000 -0700
@@ -42,8 +42,6 @@ extern struct movsl_mask {
 } ____cacheline_aligned_in_smp movsl_mask;
 #endif
 
-int __verify_write(const void *, unsigned long);
-
 #define __addr_ok(addr) ((unsigned long)(addr) < (current_thread_info()->addr_limit.seg))
 
 /*

_
